import { Diagnostic } from "vscode-languageserver/node";
import { SystemVerilogIndexer } from "./svindexer";
export declare class VerilogDiagnostics {
    private _indexer;
    private _linter;
    private _command;
    private _defines;
    private _optionsFile;
    private _childProcMngr;
    private _delayedCaller;
    private _whitelistedMessages;
    constructor(indexer: SystemVerilogIndexer);
    setCommand(cmd: string): void;
    setLinter(linter: 'icarus' | 'verilator'): void;
    setOptionsFile(file: string): void;
    setWhitelistedMessages(msgs: string[]): void;
    setDefines(defines: string[]): void;
    private _lintImmediate;
    lint(file: string, text?: string): Promise<Diagnostic[]>;
    cleanupTmpFiles(): void;
}
